Differences between revisions 26 and 80 (spanning 54 versions)
Revision 26 as of 2017-10-24 19:40:18
Size: 5124
Editor: HubertChathi
Comment: update with latest info on babel and bluebird
Revision 80 as of 2021-07-14 09:01:11
Size: 8005
Editor: BorisPek
Comment:
Deletions are marked like this. Additions are marked like this.
Line 7: Line 7:
Packaging team uses [[https://alioth.debian.org/projects/pkg-matrix/|Alioth]] with a [[https://lists.alioth.debian.org/mailman/listinfo/pkg-matrix-maintainers|mailinglist]]. Packaging team uses [[https://salsa.debian.org/matrix-team|Salsa]] with a [[AliothList:pkg-matrix-maintainers|mailing list]].
Line 9: Line 9:
Discussion about Matrix packaging takes place in [[https://matrix.to/#/#debian-matrix:matrix.org|#debian-matrix:matrix.org]]. Discussion about Matrix packaging takes place in [[https://matrix.to/#/#debian-matrix:matrix.org|#debian-matrix:matrix.org]] ([[https://view.matrix.org/room/!utfZGpcpHoKCiWBWBT:uhoreg.ca/|logs]] [[https://view.matrix.org/room/!cApDlsILLZkmAyVoxe:matrix.org/|older logs]]).

Some useful notes will be on in official [[https://matrix-team.pages.debian.net/blogue/|blog]]. If you are subscribed to [[https://planet.debian.org/|Planet Debian]] you will see them there.

You may find some useful information about using of Salsa for packaging of software in the [[https://science-team.pages.debian.net/policy/|Debian Science Policy Manual]]. All rules about level of access, creation of git repositories and such like are similar in both teams. Just have in mind the specifics of our team (another group on Salsa, another mailing list, etc.).
Line 13: Line 17:
 * [[https://github.com/matrix-org/purple-matrix|purple-matrix]]: [[https://packages.debian.org/purple-matrix|in Debian sid]]
 * [[https://github.com/vector-im/riot-web|Riot]]: no package nor ITP yet ([[https://bugs.debian.org/866502|RFP]])
   * depends on a lot of node packages that are not yet in Debian, including [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=805376|React]]
   * also depends on JavaScript version of olm, which is not buildable in Debian yet (see below)
   * build-depends on npm > 2, which is not in Debian
   * desktop version depends on Electron, which is not yet in Debian
 * [[https://github.com/QMatrixClient/Quaternion|quaternion]]: [[https://bugs.debian.org/864375|ITP]]/[[https://anonscm.debian.org/git/collab-maint/quaternion.git/|Git]], currently in NEW
 * [[https://github.com/mujx/nheko|nheko]]: [[https://bugs.debian.org/864374|ITP]]/[[https://anonscm.debian.org/cgit/collab-maint/nheko.git/|Git]], currently in NEW
 * [[https://github.com/torhve/weechat-matrix-protocol-script|weechat plugin]]: no package nor ITP yet. Has [[https://github.com/torhve/weechat-matrix-protocol-script/issues/50|known performance issues]].
 * [[https://github.com/Ralith/nachat|nachat]]: no package nor ITP yet -- seems to be abandoned upstream
 * DebianPts:matrix-hydrogen ([[https://github.com/vector-im/hydrogen-web|upstream]]) - only in experimental
 * DebianPts:matrix-mirage ([[https://github.com/mirukana/mirage|upstream]])
 * DebianPts:nheko ([[https://github.com/Nheko-reborn/nheko|upstream]])
 * DebianPts:pantalaimon ([[https://github.com/matrix-org/pantalaimon|upstream]]) - since bullseye
 * DebianPts:purple-matrix ([[https://github.com/matrix-org/purple-matrix|upstream]]) - only in unstable
 * DebianPts:quaternion ([[https://github.com/QMatrixClient/Quaternion|upstream]]) - since bullseye
 * DebianPts:revolt ([[https://github.com/aperezdc/revolt|upstream]])
 * DebianPts:spectral ([[https://gitlab.com/spectral-im/spectral|upstream]]) - since bullseye
 * DebianPts:weechat-matrix ([[https://github.com/poljar/weechat-matrix|upstream]]) - since bullseye

NB! Pantalaimon is not a user-facing client but a locally running proxy for other clients, to handle E2EE on their behalf.

=== Features ===

|| || '''Markdown''' || '''E2EE''' || '''multiple accounts''' || '''session admin''' || '''room admin''' || '''Communities''' || '''A/V''' ||
|| Hydrogen || (./) || (./) || {X} || ? || ? || ? || ? ||
|| Mirage || (./) || (./) || (./) || (./) || {X} || {X} || {X} ||
|| Nheko || (./) || (a) || (./) || ? || ? || ? || ? ||
|| Pantalaimon || - || (./) || (./) || ? || ? || ? || ? ||
|| purple-matrix || ? || ? || ? || ? || ? || ? || ? ||
|| Quaternion || ? || ? || ? || ? || ? || ? || ? ||
|| Revolt || (./) || (./) || {X} || (./) || (./) || ? || ? ||
|| Spectral || ? || ? || ? || ? || ? || ? || ? ||
|| Weechat-matrix || ? || ? || ? || ? || ? || ? || ? ||

'''Legend''':
 . (./) available in all supported Debian releases where it exists (or in all unsupported Debian releases if not in any supported release)
 . {X} unavailable in any supported Debian releases (or in any unsupported Debian releases if not in any supported release)
 . '''(a)''' available since bullseye (and package exists with the feature unavailable in older supported releases)
 . '''-''' irrelevant

=== Clients not available yet ===

 * [[DebianBug:866502|matrix-element]] ([[https://github.com/vector-im/element-desktop|upstream]]) - formerly Riot
   * depends on a lot of !JavaScript packages that are not yet in Debian, including
     * velocity (note: Element uses a patched version)
   * depends on Electron, which is not yet in Debian
     * Electron [[https://www.electronjs.org/blog/linux-32bit-support|no longer supports 32-bit Linux]], so may be difficult to get into Debian
      * only the desktop application requires Electron; the webapp would work without
 * [[DebianBug:959100|fractal]] ([[https://gitlab.gnome.org/danigm/fractal|upstream]])
   * some Rust crates have been packaged; help in packaging the rest is welcome
 * [[DebianBug:974553|gomuks]] ([[https://github.com/tulir/gomuks|upstream]])
 * matrix-fest ([[https://github.com/fest-im/fest|upstream]])
   * requires rust nightly, so probably can't be packaged yet
 * nachat ([[https://github.com/Ralith/nachat|upstream]]) - seems abandoned upstream
 * matrix-circle ([[http://www.leonerd.org.uk/code/circle/|upstream]])
   * [[DebianPts:libcircle-be-perl|backend]] packaged
 * neochat ([[https://invent.kde.org/ndavis/neochat|upstream]])
Line 26: Line 68:
 * [[https://github.com/matrix-org/synapse|synapse]]: [[https://packages.debian.org/matrix-synapse|in Debian sid]]/[[https://anonscm.debian.org/cgit/collab-maint/matrix-synapse.git/|Git]]
   * [[https://github.com/matrix-org/matrix-synapse-ldap3|matrix-synapse-ldap3]]: [[https://packages.debian.org/matrix-synapse-ldap3|in Debian sid]]/[[https://anonscm.debian.org/cgit/collab-maint/matrix-synapse-ldap3.git/|Git]]
 * [[https://github.com/matrix-org/dendrite|dendrite]]: no package nor ITP yet (probably not stable enough to be uploaded, but initial packaging investigation could be done)
   * currently depends on [[https://kafka.apache.org/|kafka]], which is not in Debian [[https://bugs.debian.org/786460|RFP]]
 * [[https://ruma.io/|ruma]]: no package nor ITP yet (probably not stable enough to be uploaded, but initial packaging investigation could be done)
 * [[https://github.com/kamax-io/mxisd/|mxisd]]: (identity server) no package nor ITP yet
 * DebianPts:matrix-synapse ([[https://github.com/matrix-org/synapse|upstream]]) - only in unstable (and unofficial [[https://fasttrack.debian.net/|fasttrack]])
   * DebianPts:matrix-synapse-ldap3 ([[https://github.com/matrix-org/matrix-synapse-ldap3|upstream]]
 * DebianPts:matrix-construct - only in experimental

=== Servers not available yet ===

 * [[DebianBug:989336|matrix-sydent]] ([[https://github.com/matrix-org/sydent|upstream]]) - [[https://ftp-master.debian.org/new/matrix-sydent_2.3.0-1.html|NEW]]
 * matrix-dendrite ([[https://github.com/matrix-org/dendrite|upstream]])
   * probably not stable enough to be uploaded, but initial packaging investigation could be done
     * dh-make-golang dies on it
   * can use [[DebianBug:786460|kafka]] ([[https://kafka.apache.org/|upstream]])
 * matrix-ruma ([[https://ruma.io/|upstream]])
   * probably not stable enough to be uploaded, but initial packaging investigation could be done
 * [[DebianBug:910999|mxisd]] ([[https://github.com/ma1uta/ma1sd|upstream]]) - identity server
Line 35: Line 85:
 * [[https://matrix.org/git/olm|olm]]: [[https://packages.debian.org/source/sid/olm|in Debian]]
   * JavaScript version cannot be built due to unusable emscripten
 * [[https://github.com/matrix-org/matrix-js-sdk/|matrix-js-sdk]]: no package nor ITP yet
   * depends on [[https://github.com/NegativeMjark/another-json|another-json]], which is not in Debian, but should be easy to package. But only needed by crypto code, so not needed until olm JavaScript is available
   * browser version depends on [[https://github.com/iriscouch/browser-request|browser-request]], which is not in Debian
   * new upstream version depends on bluebird, which is in NEW
   * depends on babel-plugin-transform-async-to-bluebird, which will be uploaded once bluebird is ACCEPTED in sid
 * [[https://github.com/matrix-org/matrix-python-sdk|matrix-python-sdk]]: no package nor ITP yet
 * [[https://github.com/matrix-org/gomatrix|gomatrix]]: no package nor ITP yet
 * [[https://github.com/matrix-org/matrix-appservice-node|matrix-appservice]]: no package nor ITP yet
   * depends on [[https://github.com/expressjs/morgan|morgan]], which is not in Debian yet
 * [[https://github.com/matrix-org/matrix-appservice-bridge|matrix-appservice-bridge]]: (JavaScript) no package nor ITP yet
   * depends on [[https://github.com/natesilva/jayschema|jayschema]] and [[https://github.com/louischatriot/nedb|nedb]], which are not in Debian yet
 * DebianPts:libqmatrixclient ([[https://github.com/QMatrixClient/libqmatrixclient|upstream]]) - dropped after buster (replaced by libquotient)
 * DebianPts:libquotient ([[https://github.com/quotient-im/libQuotient|upstream]]) - since bullseye
 * DebianPts:olm ([[https://matrix.org/git/olm|upstream]])
   * nodejs might benefit from using a [[https://gitlab.com/uhoreg/olm-native.git|native wrapper]] instead of browser-optimized DebianPts:libjs-olm
 * DebianPts:node-matrix-js-sdk ([[https://github.com/matrix-org/matrix-js-sdk/|upstream]])
 * DebianPts:python-matrix-nio ([[https://github.com/poljar/matrix-nio|upstream]]) - Python asyncio client lib - since bullseye

=== Libraries/SDKs not available yet ===

 * matrix-python-sdk ([[https://github.com/matrix-org/matrix-python-sdk|upstream]])
 * gomatrix ([[https://github.com/matrix-org/gomatrix|upstream]])
 * matrix-appservice ([[https://github.com/matrix-org/matrix-appservice-node|upstream]])
   * depends on node-morgan ([[https://github.com/expressjs/morgan|upstream]])
 * matrix-appservice-bridge ([[https://github.com/matrix-org/matrix-appservice-bridge|upstream]]) - !JavaScript
   * depends on jayschema ([[https://github.com/natesilva/jayschema|upstream]]) and nedb ([[https://github.com/louischatriot/nedb|upstream]])
Line 49: Line 101:
 * [[https://github.com/matrix-hacks/matrix-puppet-bridge|matrix-puppet-bridge]]: (JavaScript) no package nor ITP yet
   * depends on several packages that are not yet in Debian
 * matrix-puppet-bridge ([[https://github.com/matrix-hacks/matrix-puppet-bridge|upstream]]) - !JavaScript
   * depends on several packages not yet in Debian
 * [[DebianBug:971601|mautrix-python]] ([[https://github.com/tulir/mautrix-python/|upstream]])
Line 54: Line 107:
 * [[https://github.com/matrix-org/matrix-appservice-gitter|matrix-appservice-gitter]]: no package nor ITP yet
 * [[https://github.com/matrix-org/matrix-appservice-irc|matrix-appservice-irc]]: no package nor ITP yet
 * [[https://github.com/matrix-org/matrix-appservice-slack|matrix-appservice-slack]]: no package nor ITP yet
 * [[https://github.com/matrix-org/go-neb|go-neb]]: no package nor ITP yet
 * [[https://github.com/matrix-org/matrix-ircd|matrix-ircd]]: no package nor ITP yet
 * [[http://search.cpan.org/~pevans/App-MatrixTool/|matrixtool]]: (command-line tool) no package nor ITP yet
=== Bridges/Bots/etc not available yet ===

 * matrix-appservice-gitter ([[https://github.com/matrix-org/matrix-appservice-gitter|upstream]])
 * matrix-appservice-irc ([[https://github.com/matrix-org/matrix-appservice-irc|upstream]])
 * matrix-appservice-slack ([[https://github.com/matrix-org/matrix-appservice-slack|upstream]])
 * go-neb ([[https://github.com/matrix-org/go-neb|upstream]])
 * matrix-ircd ([[https://github.com/matrix-org/matrix-ircd|upstream]]
 * matrixtool ([[http://search.cpan.org/~pevans/App-MatrixTool/|upstream]]) - command-line tool

Matrix

This page lists Matrix-related software, and their status in Debian. Please feel free to package any of the software listed on this page that hasn't already been packaged or ITPed!

Packaging

Packaging team uses Salsa with a mailing list.

Discussion about Matrix packaging takes place in #debian-matrix:matrix.org (logs older logs).

Some useful notes will be on in official blog. If you are subscribed to Planet Debian you will see them there.

You may find some useful information about using of Salsa for packaging of software in the Debian Science Policy Manual. All rules about level of access, creation of git repositories and such like are similar in both teams. Just have in mind the specifics of our team (another group on Salsa, another mailing list, etc.).

Clients

NB! Pantalaimon is not a user-facing client but a locally running proxy for other clients, to handle E2EE on their behalf.

Features

Markdown

E2EE

multiple accounts

session admin

room admin

Communities

A/V

Hydrogen

(./)

(./)

{X}

?

?

?

?

Mirage

(./)

(./)

(./)

(./)

{X}

{X}

{X}

Nheko

(./)

(a)

(./)

?

?

?

?

Pantalaimon

-

(./)

(./)

?

?

?

?

purple-matrix

?

?

?

?

?

?

?

Quaternion

?

?

?

?

?

?

?

Revolt

(./)

(./)

{X}

(./)

(./)

?

?

Spectral

?

?

?

?

?

?

?

Weechat-matrix

?

?

?

?

?

?

?

Legend:

  • (./) available in all supported Debian releases where it exists (or in all unsupported Debian releases if not in any supported release)

  • {X} unavailable in any supported Debian releases (or in any unsupported Debian releases if not in any supported release)

  • (a) available since bullseye (and package exists with the feature unavailable in older supported releases)

  • - irrelevant

Clients not available yet

  • matrix-element (upstream) - formerly Riot

    • depends on a lot of JavaScript packages that are not yet in Debian, including

      • velocity (note: Element uses a patched version)
    • depends on Electron, which is not yet in Debian
      • Electron no longer supports 32-bit Linux, so may be difficult to get into Debian

        • only the desktop application requires Electron; the webapp would work without
  • fractal (upstream)

    • some Rust crates have been packaged; help in packaging the rest is welcome
  • gomuks (upstream)

  • matrix-fest (upstream)

    • requires rust nightly, so probably can't be packaged yet
  • nachat (upstream) - seems abandoned upstream

  • matrix-circle (upstream)

  • neochat (upstream)

Servers

Servers not available yet

  • matrix-sydent (upstream) - NEW

  • matrix-dendrite (upstream)

    • probably not stable enough to be uploaded, but initial packaging investigation could be done
      • dh-make-golang dies on it
    • can use kafka (upstream)

  • matrix-ruma (upstream)

    • probably not stable enough to be uploaded, but initial packaging investigation could be done
  • mxisd (upstream) - identity server

Libraries/SDKs

Libraries/SDKs not available yet

Bridges/Bots/etc

Bridges/Bots/etc not available yet